> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister Adresses Client



## OpenAPI

````yaml openapi.json get /adresses/client/{client_id}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /adresses/client/{client_id}:
    get:
      tags:
        - Adresses
        - Adresses
      summary: Lister Adresses Client
      operationId: lister_adresses_client_adresses_client__client_id__get
      parameters:
        - name: client_id
          in: path
          required: true
          schema:
            type: string
            title: Client Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AdresseRead'
                title: >-
                  Response Lister Adresses Client Adresses Client  Client Id 
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AdresseRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        pays:
          type: string
          title: Pays
        ville:
          type: string
          title: Ville
        position_point_wkt:
          type: string
          title: Position Point Wkt
        zone_polygone_wkt:
          anyOf:
            - type: string
            - nullable: true
          title: Zone Polygone Wkt
        utilisateur_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Utilisateur Id
        marchand_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Marchand Id
        livreur_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Livreur Id
        client_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Client Id
      type: object
      required:
        - id
        - pays
        - ville
        - position_point_wkt
        - utilisateur_id
        - marchand_id
        - livreur_id
        - client_id
      title: AdresseRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.